#include <iostream.h>
#include <fstream.h>
#include <string>

int const TOTAL_FIELDS = 10;
int const PACKET_DATA_LENGTH = 3;
int const PACKET_LENGTH = PACKET_DATA_LENGTH + 1;
int const RAW_FILENAME_LENGTH = 40;

int const QUIET = 0;
int const NOISY = 1;
int const SIMPLE = 2;

char const RAW_FILENAME[RAW_FILENAME_LENGTH] = "./tmp/coffee.output";

// CommandID (CID) types send to the stamp
int const 	   CID_READ_SENSORS = 0x1;
int const             CID_POWERDOWN = 0xFF;
int const 	       CID_DONT_INC = 0xF0;

// DataID (DID) types received from the stamp, <0x80
int const 	DID_START_OF_STREAM = 0x7F;	// For future use
int const 	  DID_END_OF_STREAM = 0x70;
int const 	        DID_INVALID = 0x0;
int const 	   DID_POT_IN_PLACE = 0x1;
int const 	    DID_POTS_BREWED = 0x2;
int const 	DID_FILTER_IN_PLACE = 0x3;
int const	       DID_POT_TEMP = 0x4;
int const	       DID_AIR_TEMP = 0x5;
int const	      DID_TIMES_RUN = 0x6;
int const	    DID_WATER_LEVEL = 0x7;

// MiscID (MID) types, >=0x80
int const	      MID_DATE_TIME = 0x81;
int const        MID_SILLY_AIR_TEMP = 0x82;
int const	 MID_SILLY_POT_TEMP = 0x83;
int const	     MID_SILLY_MISC = 0x84;

