// This is a working example of how to *properly* open the serial port!
// serialsample.cpp  Jared Smolens 5/3/1998

#include <iostream.h>
#include <fstream.h>
#include <string>

#include <termios.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdio.h>

char const PORT[30] = "/dev/ttyS1";

main(void)  {
	struct termios tios;
	struct termios oldtios;
	int fd;
	FILE * serialport;
	fd = open(PORT, O_RDWR);
	serialport = fdopen(fd, "a+");
	
			
	cerr << fd << "<-- fd"<< endl;
	tcgetattr(fd, &oldtios);
	
	cfsetospeed(&tios, B9600);
	cfsetispeed(&tios, B9600);
	tios.c_iflag = tios.c_cflag = tios.c_lflag = tios.c_oflag = 0;
	tios.c_iflag = IGNBRK;
	tios.c_cflag = B9600 | CS8 | CREAD;

	tcflush(fd, TCIOFLUSH);			
	
	tcsetattr(fd, TCSANOW, &tios);			

	cerr << "Set serial port..."<< endl;

	write(fd, "hello, how are you????", 16);

	char buf[16] = { 0 };

	while( buf[0] != 'Q') {
		read(fd, buf, 1);
		cout << buf[0] << endl;
	}
	
	tcsetattr(fd, TCSANOW, &oldtios);
	if(fclose(serialport))  {
		cerr << "ERROR closing port!" << endl;
	}

}
