#include <unistd.h>
#include <iostream.h>
#include <fstream.h>
#include <string>

#include <termios.h>
#include <fcntl.h>
#include <stdio.h>

#include "config.h"

char const PORT[30] = "/dev/ttyS1";
char const ERROR_FILE[30] = "./tmp/error.html";
class stamp {

	public:
		stamp(void) : packets_read(0) { init_port(); };

		~stamp(void) {			
			tcsetattr(fd, TCSANOW, &oldtios);
			fclose(serial_file);
		}

		int send(int const);
		void powerdown(void);
		// This holds the DataID and packet data in one array
		// Position 0 is the DataID
		int raw_data[TOTAL_FIELDS][PACKET_DATA_LENGTH + 1];
		int packets_read;
		int VERBOSE;
		FILE * serial_file;

	private:
		int store(int const, int const [PACKET_DATA_LENGTH]);
		int read_serial(void);
		int fd;
		struct termios oldtios;
		void init_port(void);

};
